%McpKineticToolbox_AudioFunctions%
% Test the three functions related to audio segmentation based on smpte time code onset and offset
% Given example is related to audio file 006 (recording of first violin,13July 2011) and related smpte file.

%Define onset and offset 

%% SELECT YOUR TEST: Either one or multiple segments (not both)
%%Test for one segment [
onset=[1,59,26,05];
offset=[2,01,20,12];

%%Test for multiple segments
onset1=[1,59,26,05];
offset1=[1,59,57,01];
onset2=[1,59,57,02];
offset2=[2,00,14,14];
onset3=[2,00,14,15];
offset3=[2,00,43,15];
onset4=[2,00,43,16];
offset4=[2,01,03,06];
onset5=[2,01,03,07];
offset5=[2,01,20,12];

onset01=[onset1;onset2;onset3;onset4;onset5];
offset01=[offset1;offset2;offset3;offset4;offset5];

onset1=[2,04,48,11];
offset1=[2,05,20,08];
onset2=[2,05,20,09];
offset2=[2,05,38,14];
onset3=[2,05,38,15];
offset3=[2,06,08,16];
onset4=[2,06,08,17];
offset4=[2,06,29,00];
onset5=[2,06,29,01];
offset5=[2,06,45,18];

onset02=[onset1;onset2;onset3;onset4;onset5];
offset02=[offset1;offset2;offset3;offset4;offset5];

onset=[onset01,onset02];
offset=[offset01,offset02];

%Define path to access files

%audio directory (to access files in .wav format)
fileaudio='/Users/xxx/Documents/wav/';
%fileaudio='/Users/donald/Documents/MATLAB_TOOLS/MATLAB_ADDON/MoCAP-MATLAB/mcpkinetictoolbox/Audio_Analysis/Test/audio/';

%"Save" directory
savedir='/Users/xxx/Documents/save/';
%savedir='/Users/donald/Documents/MATLAB_TOOLS/MATLAB_ADDON/MoCAP-MATLAB/mcpkinetictoolbox/Audio_Analysis/Test/save/';

%define frame sampling of reference
fpsmpte=25;

%smpte time code directory (to access files in .wav format)
loadsmpte='/Users/xxx/Documents/smpte/';
%loadsmpte='/Users/donald/Documents/MATLAB_TOOLS/MATLAB_ADDON/MoCAP-MATLAB/mcpkinetictoolbox/Audio_Analysis/Test/smpte/';

% function to segment audio file based on smpte time code onset and offset
SubSegAudioData(fileaudio,savedir,loadsmpte,fpsmpte,onset,offset)




