function [sec] = SMPTEtoSec(filesmpte,fcsmpte,onset,offset)
%filesmpte='/Users/donald/Documents/MATLAB_TOOLS/MATLAB_ADDON/MoCAP-MATLAB/mcpkinetictoolbox/data/smpte/take007_smpte.wav'
disp('Load SMPTE: ')
onset
offset
disp(fcsmpte)
smpte=LoadSMPTE(filesmpte,fcsmpte);
disp('loaded.')



if(size(onset,1)~=size(offset,1))
    disp('onset and offset must have the same size.');
    sec=NaN;
    return;
end

sec=zeros(size(onset,1),2);


for k=1:size(onset,1)
    
    onset_found=0;
    offset_found=0;
    
    for i=1:size(smpte,1) 
        if(onset_found==0 && smpte(i,1)==onset(k,1) && smpte(i,2)==onset(k,2) && ... 
           smpte(i,3)==onset(k,3) && smpte(i,4)==onset(k,4))
            onset_found=i;
        end    
        if(offset_found==0 && smpte(i,1)==offset(k,1) && smpte(i,2)==offset(k,2) && ... 
           smpte(i,3)==offset(k,3) && smpte(i,4)==offset(k,4))
            offset_found=i;
        end
        if(onset_found~=0 && offset_found~=0)
            break;
        end
    end
    
    if(onset_found~=0)
        sec(k,1)=smpte(onset_found,5);
    
    else
        sec(k,1)=NaN;
                
    end
    
    if(offset_found~=0)
        sec(k,2)=smpte(offset_found,5);
    
    else
        sec(k,2)=NaN;
                
    end
    
    
end

